Bug 1295351 (CVE-2015-8659)

Summary: CVE-2015-8659 nghttp2: heap-use-after-free flaw in idle stream handling code
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, kdudka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nghttp2 1.6.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:46:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1295352, 1295354    
Bug Blocks:    

Description Martin Prpič 2016-01-04 09:01:49 UTC
Nghttp2 v1.6.0 fixed one security issue:

This release fixes heap-use-after-free bug in idle stream handling code.

CVE assigned in:

http://seclists.org/oss-sec/2015/q4/572

External References:

https://nghttp2.org/blog/2015/12/23/nghttp2-v1-6-0/

Comment 1 Martin Prpič 2016-01-04 09:02:10 UTC
Created nghttp2 tracking bugs for this issue:

Affects: fedora-all [bug 1295352]
Affects: epel-7 [bug 1295354]

Comment 2 Fedora Update System 2016-01-07 19:54:11 UTC
nghttp2-1.6.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-01-12 08:21:42 UTC
nghttp2-1.6.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-01-21 04:38:39 UTC
nghttp2-1.6.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:46:54 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.